POSTgetEpochSchedule

Returns the epoch schedule information from this cluster

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

firstNormalEpochinteger (uint64)

First normal-length epoch, log2(slotsPerEpoch) - log2(MINIMUM_SLOTS_PER_EPOCH)

firstNormalSlotinteger (uint64)

Minimum number of slots in an epoch, MINIMUM_SLOTS_PER_EPOCH * (2.pow(firstNormalEpoch) - 1)

leaderScheduleSlotOffsetinteger (uint64)

The number of slots before beginning of an epoch to calculate a leader schedule for that epoch.

slotsPerEpochinteger (uint64)

The maximum number of slots in each epoch.

warmupboolean

Whether epochs start short and grow.

X-API-KEY
RequestCU10
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getEpochSchedule"
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "firstNormalEpoch": 8,
    "firstNormalSlot": 8160,
    "leaderScheduleSlotOffset": 8192,
    "slotsPerEpoch": 8192,
    "warmup": true
  },
  "id": 1
}